Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.spi
Class ConnectionRequestInfoMap

    java.lang.Object
      |
      +--com.bea.adapter.spi.ConnectionRequestInfoMap

public class ConnectionRequestInfoMap
extends java.lang.Object
implements javax.resource.spi.ConnectionRequestInfo, java.util.Map, javax.resource.cci.ConnectionSpec, java.io.Serializable

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`ConnectionRequestInfoMap()`
`ConnectionRequestInfoMap(java.util.Map map)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsValue(java.lang.Object value)`
`java.util.Set` | `entrySet()`
`boolean` | `equals(java.lang.Object other)`
`java.lang.Object` | `get(java.lang.Object key)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`java.util.Set` | `keySet()`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`void` | `putAll(java.util.Map map)`
`java.lang.Object` | `remove(java.lang.Object key)`
`int` | `size()`
`java.util.Collection` | `values()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionRequestInfoMap

    public ConnectionRequestInfoMap()

### ConnectionRequestInfoMap

    public ConnectionRequestInfoMap(java.util.Map map)

Method Detail

### clear

    public void clear()
               throws java.lang.UnsupportedOperationException

  Specified by:
    clear in interface java.util.Map

### containsKey

    public boolean containsKey(java.lang.Object key)
                        throws java.lang.ClassCastException,
                               java.lang.NullPointerException

  Specified by:
    containsKey in interface java.util.Map

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    containsValue in interface java.util.Map

### entrySet

    public java.util.Set entrySet()

  Specified by:
    entrySet in interface java.util.Map

### equals

    public boolean equals(java.lang.Object other)

  Specified by:
    equals in interface javax.resource.spi.ConnectionRequestInfo

  Overrides:
    equals in class java.lang.Object

### get

    public java.lang.Object get(java.lang.Object key)
                         throws java.lang.ClassCastException,
                                java.lang.NullPointerException

  Specified by:
    get in interface java.util.Map

### hashCode

    public int hashCode()

  Specified by:
    hashCode in interface javax.resource.spi.ConnectionRequestInfo

  Overrides:
    hashCode in class java.lang.Object

### isEmpty

    public boolean isEmpty()

  Specified by:
    isEmpty in interface java.util.Map

### keySet

    public java.util.Set keySet()

  Specified by:
    keySet in interface java.util.Map

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)
                         throws java.lang.UnsupportedOperationException,
                                java.lang.ClassCastException,
                                java.lang.IllegalArgumentException,
                                java.lang.NullPointerException

  Specified by:
    put in interface java.util.Map

### putAll

    public void putAll(java.util.Map map)
                throws java.lang.UnsupportedOperationException,
                       java.lang.ClassCastException,
                       java.lang.IllegalArgumentException,
                       java.lang.NullPointerException

  Specified by:
    putAll in interface java.util.Map

### remove

    public java.lang.Object remove(java.lang.Object key)
                            throws java.lang.UnsupportedOperationException

  Specified by:
    remove in interface java.util.Map

### size

    public int size()

  Specified by:
    size in interface java.util.Map

### values

    public java.util.Collection values()

  Specified by:
    values in interface java.util.Map

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)